"""
Python-Version: 3.10
Packages: Check requirements.txt! (run "pip install -r requirements.txt")

Check README.html for further information!
"""

# Import of Modules
import vlfpy as vp
from vlfpy.simulation import OpticalSetup
import numpy as np
import pandas as pd
import matplotlib.pyplot as plt
from time import time


# Path to the optical system
OS_PATH = r'resources\FiberCouplingEfficiency.os'
def single_run():
    # Initialize the optical setup
    optical_setup = OpticalSetup(OS_PATH)
    
    # Start time tracking
    start = time()
    
    # Perform the simulation
    results = optical_setup.perform()
    
    # End time tracking
    end = time()
    
    # Print simulation results to the console
    print(*results, sep='\n')
    
    # Print simulation time
    print(f'Simulation Time (s): {end-start:.2f}')

if __name__ == '__main__':
    single_run()
